gr::dab::unpuncture_vff_impl Class Reference

`#include <unpuncture_vff_impl.h>`

Inheritance diagram for gr::dab::unpuncture_vff_impl:
[legend]

## Public Member Functions

| unpuncture_vff_impl (const std::vector< unsigned char > &puncturing_vector, float fillval)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::unpuncture_vff
typedef std::shared_ptr< unpuncture_vff > | sptr
Static Public Member Functions inherited from gr::dab::unpuncture_vff
static sptr | make (const std::vector< unsigned char > &puncturing_vector, float fillval=0)
| Return a shared_ptr to a new instance of dab::unpuncture_vff.

## Constructor & Destructor Documentation

## unpuncture_vff_impl()

gr::dab::unpuncture_vff_impl::unpuncture_vff_impl | ( | const std::vector< unsigned char > & | puncturing_vector,
|  | float | fillval )

## Member Function Documentation

## work()

int gr::dab::unpuncture_vff_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- unpuncture_vff_impl.h